<div class="container">
    <div class="mx-auto">
        <div class="bg-white shadow rounded overflow-hidden">
            <div class="px-4 pt-0 pb-4 cover">
                <div class="media align-items-end profile-head">
                    <div class="profile mr-3" *ngIf="user">
                        <img src={{user.photoURL}} alt="..." width="130" class="rounded mb-2 img-thumbnail">
                        <a class="btn btn-outline-dark btn-sm btn-block" data-bs-toggle="modal"
                            data-bs-target="#userDataModal" *ngIf="userData">Edit profile</a>
                        <a class="btn btn-outline-dark btn-sm btn-block" *ngIf="userData" routerLink="/add-service">Add
                            You Service</a>

                        <a class="btn btn-outline-dark btn-sm btn-block" data-bs-toggle="modal"
                            data-bs-target="#userDataModal" *ngIf="!userData">Add Your Info</a>
                    </div>
                    <div class="media-body mb-5 text-white">
                        <h4 class="mt-0 mb-0" *ngIf="user">{{user.displayName}}</h4>
                        <h6 class="mt-0 mb-0" *ngIf="user">{{user.email}}</h6>
                        <h6 class="mt-0 mb-0" *ngIf="userData">{{userData.number}}</h6>
                        <p class="small mb-4" *ngIf="userData"> <i class="fas fa-map-marker-alt"></i>
                            {{userData.location}}</p>
                        <h6 class="mt-0 mb-0 modl" *ngIf="!userData" data-bs-toggle="modal"
                            data-bs-target="#userDataModal">
                            Add Your Mobile No.</h6>
                        <p class="small mb-4 modl" *ngIf="!userData" data-bs-toggle="modal"
                            data-bs-target="#userDataModal">
                            Add Your Location</p>
                    </div>
                </div>
            </div>
            <div class="bg-light p-4 d-flex justify-content-end text-center">
                <ul class="list-inline mb-0">
                    <li class="list-inline-item">
                        <h5 class="font-weight-bold mb-0 d-block">500</h5><small class="text-muted"> <i
                                class="fas fa-image mr-1"></i>Services</small>
                    </li>
                    <li class="list-inline-item">
                        <h5 class="font-weight-bold mb-0 d-block">745</h5><small class="text-muted"> <i
                                class="fas fa-user mr-1"></i>Followers</small>
                    </li>
                    <li class="list-inline-item">
                        <h5 class="font-weight-bold mb-0 d-block">340</h5><small class="text-muted"> <i
                                class="fas fa-user mr-1"></i>Following</small>
                    </li>
                </ul>
            </div>
            <!-- <div class="px-4 py-3">
                <h5 class="mb-0">About</h5>
                <div class="p-4 rounded shadow-sm bg-light">
                    <p class="font-italic mb-0">Web Developer</p>
                    <p class="font-italic mb-0">Lives in New York</p>
                    <p class="font-italic mb-0">Photographer</p>
                </div>
            </div> -->
            <div class="py-4 px-4">
                <div class="d-flex align-items-center justify-content-between mb-3">
                    <h5 class="mb-0">Services</h5>
                </div>
                <div *ngFor="let service of services | async">
                    <div class="card mb-3">
                        <div class="card-header">
                            <span>
                                <img src={{service.authorPhoto}} width="40" height="40" class="rounded-circle">
                                <span class="ml-2">{{service.authorName}}</span>
                            </span>
                            <span>{{service.time.toDate() | date:'medium'}}</span>
                        </div>
                        <div class="card-body">
                            <h5 class="card-title">{{service.title}}</h5>
                            <h5 class="card-title">{{service.category}}</h5>
                            <p class="card-text">{{service.desc}}</p>
                        </div>
                        <div class="card-footer">
                            <a href="#" class="btn btn-danger float-right">Delete</a>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>